parseLatLon {oce} | R Documentation

## Parse a Latitude or Longitude String

### Description

Parse a latitude or longitude string, e.g. as in the header of a CTD file The following formats are understood (for, e.g. latitude)

     *
    NMEA Latitude = 47 54.760 N ** Latitude: 47 53.27 N

### Usage

    parseLatLon(line, debug = getOption("oceDebug"))

### Arguments

`line` | a character string containing an indication of latitude or longitude.
`debug` | a flag that turns on debugging. Set to 1 to get a moderate amount of debugging information, or to 2 to get more.

### Value

A numerical value of latitude or longitude.

### Author(s)

Dan Kelley

### See Also

Used by `read.ctd`.

[Package oce version 0.9-22 Index]